> ## Documentation Index
> Fetch the complete documentation index at: https://eximpe.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refunds

> Retrieve a list of refunds with optional filtering.



## OpenAPI

````yaml openapi.json get /pg/refunds
openapi: 3.0.0
info:
  title: Eximpe Payment Gateway API
  description: >-
    API for payment processing and order management through Eximpe payment
    gateway
  license:
    name: Proprietary
  version: 1.0.0
servers:
  - url: https://api-staging.eximpe.com
    description: Staging server
  - url: https://api.eximpe.com
    description: Production server
security:
  - clientAuth: []
    clientSecretAuth: []
paths:
  /pg/refunds:
    get:
      tags:
        - Refunds
      summary: List Refunds
      description: Retrieve a list of refunds with optional filtering.
      parameters:
        - name: payment_id
          in: query
          description: Filter by payment ID.
          schema:
            type: string
        - name: reference_id
          in: query
          description: Filter by order reference ID.
          schema:
            type: string
        - name: from_date
          in: query
          description: 'Filter refunds created from this date. Format: YYYY-MM-DD.'
          schema:
            type: string
            format: date
        - name: to_date
          in: query
          description: 'Filter refunds created up to this date. Format: YYYY-MM-DD.'
          schema:
            type: string
            format: date
        - name: merchant_id
          in: query
          description: Filter refunds by merchant ID.
          schema:
            type: string
      responses:
        '200':
          description: A paginated list of refunds.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRefundsResponse'
              example:
                count: 4
                page: 1
                page_size: 250
                next: null
                previous: null
                results:
                  - refund_id: RF8380989720
                    refund_amount: 11
                    refund_status: INITIATED
                    refunded_at: null
                    message: Refund Request Queued
                    payment_id: PR8867819681
                  - refund_id: RF8370660295
                    refund_amount: 12
                    refund_status: INITIATED
                    refunded_at: null
                    message: No action status found
                    payment_id: PR3828502708
      security:
        - clientAuth: []
          clientSecretAuth: []
components:
  schemas:
    ListRefundsResponse:
      type: object
      required:
        - count
        - page
        - page_size
        - next
        - previous
        - results
      properties:
        count:
          type: integer
          description: Total number of refunds
        page:
          type: integer
          description: Current page number
        page_size:
          type: integer
          description: Number of refunds per page
        next:
          type: string
          nullable: true
          description: URL for the next page of results
        previous:
          type: string
          nullable: true
          description: URL for the previous page of results
        results:
          type: array
          items:
            $ref: '#/components/schemas/RefundInList'
    RefundInList:
      type: object
      required:
        - refund_id
        - refund_amount
        - refund_status
        - refunded_at
        - message
        - payment_id
      properties:
        refund_id:
          type: string
          description: Unique identifier for the refund.
        refund_amount:
          type: number
          format: float
          description: The refunded amount.
        refund_status:
          type: string
          description: The status of the refund.
        refunded_at:
          type: string
          format: date-time
          nullable: true
          description: The timestamp of when the refund was completed.
        message:
          type: string
          nullable: true
          description: A message providing more detail about the refund status.
        payment_id:
          type: string
          description: The ID of the payment that was refunded.
  securitySchemes:
    clientAuth:
      type: apiKey
      name: X-Client-ID
      in: header
      description: Client app ID. You can find your app id in the merchant dashboard.
    clientSecretAuth:
      type: apiKey
      name: X-Client-Secret
      in: header
      description: Client secret key. You can find your secret in the merchant dashboard.

````